
import { service } from './request'
export default {

    //账号密码登录
    loginByPwd: (params) => service.post("/app/login", params),

    //用户信息
    getUserInfo: (params) => service.get("/app/user/userInfo", { params: params }),

    //数据字典
    getDictList: (params) => service.get("/app/all", { params: params }),

    //首页信息
    homedata: (params) => service.get("/app/home/homedata", params),

    //空调设备控制分页
    airconditioner: (params) => service.get("/app/airconditioner/page", { params: params }),

    //电表控制分页
    getElec: (params) => service.get("/app/relay/control/page", { params: params }),

    //一键开闸关闸
    elecControl: (params) => service.post("/app/relay/control/command", params),

    //获取用户信息
    getUserInfo: (params) => service.get("/app/user/userInfo", { params: params }),

    // 获取空间树
    getBuildInfo: (params) => service.get("/app/control/getOrgStructureTree", { params: params }),

    // 首页信息
    homedata: (params) => service.get("/app/home/homedata", params),

    //上传图片
    uploadFile: (params) => service.post("/app/uploadFile", params, { header: { "Content-Type": "multipart/form-data" } }),

    //工单维修--保存
    repairInfoSave: (params) => service.post("/app/repairorder", params),

    //工单维修--分页查询
    repairInfoQuery: (params) => service.get("/app/repairorder/page", { params: params }),

    //工单维修--详情
    repairInfoDetail: (id) => service.get(`/app/repairorder/${id}`),

    //工单维修--联系人列表
    repairInfoUser: (params) => service.get('/app/page', { params: params }),

    //工单维修--指派
    repairInfoDispatch: (params) => service.put('/app/repairorder', params),

    // 设备异常列表
    deviceAlarmInfoQuery: (params) => service.get("/app/home/actualAlertList", { params: params }),

    //空调下发指令
    setControl: (params) => service.post("/app/airconditioner/command", params),

    //继电器下发指令
    setControlElec: (params) => service.post("/app/relay/control/command", params),

    // 欠费待收--列表
    lackFeeInfoQuery: (params) => service.get("/app/expeditrecord/apppage", { params: params }),

    // 欠费待收--催费
    lackFeeInfoPay: (params) => service.post("/app/expeditrecord/charge", params),

    //扣缴记录
    reduceRecordList: (params) => service.get("/app/payrecord/page", { params: params }),

    //租户账单
    rentBillList: (params) => service.get("/app/billinfo/paypage", { params: params }),

    //租户账单明细--列表
    rentBillDetail: (params) => service.post("/app/billinfo/billDetail", params),

    //获取缴费账户
    getTenantAccount: (params) => service.get(`/app/accountinfo/detail/${params}`),

    //预存缴费
    tenantPay: (params) => service.post('/app/accountinfo/pay', params),

    //立即支付
    billPay: (params) => service.post('/app/billinfo/billPay', params),

    //巡检记录
    reviewCheckList: (params) => service.post("/app/circuitrecord", params),
}